public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/reedsolomon/
Date: Fri,  9 Dec 2022 05:05:56 +0000 (UTC)	[thread overview]
Message-ID: <1670561813.d8087b5ab5f7ae5f369327dc4bed198f8a3ff346.mgorny@gentoo> (raw)

commit:     d8087b5ab5f7ae5f369327dc4bed198f8a3ff346
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  9 04:56:53 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Dec  9 04:56:53 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8087b5a

dev-python/reedsolomon: Bump to 1.6.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/reedsolomon/Manifest                 |  1 +
 dev-python/reedsolomon/reedsolomon-1.6.0.ebuild | 34 +++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-python/reedsolomon/Manifest b/dev-python/reedsolomon/Manifest
index c2cbce4dc1f5..3c352a15bda8 100644
--- a/dev-python/reedsolomon/Manifest
+++ b/dev-python/reedsolomon/Manifest
@@ -1 +1,2 @@
 DIST reedsolomon-1.5.4.tar.gz 283778 BLAKE2B 5354b8d320db1533469ae1fd706c0412a81bb408675041af5dbf42b42014e4b779b937fa8e3b3d0a5e67e62d9fd7ce9ac519022dd98dbc82a156ee0cda7914ce SHA512 c738f817c8f536ee86e5bcd3de73a4cf6a3e606ba196a359b6c09e7372dba31316ddb8b134d7c335100e4c2ff0158ff07caa35fee9bc20768bde23cd803e274a
+DIST reedsolomon-1.6.0.gh.tar.gz 62527 BLAKE2B 100e0152ca8d05605f961dbddcc41552941356a72b488375cb1237cf45938382abf6bfd439b572a9aed11a12068258027fae0bc867e7577280829779d21f53a3 SHA512 ddf73b0bdc78856d9aa76e7bf3fcb9715b9b7f922c2d72dc4bd13a4d5a233844757e2946ef96c545ab7979bc6b62a1f33286711f927871a6689a269d20a81b44

diff --git a/dev-python/reedsolomon/reedsolomon-1.6.0.ebuild b/dev-python/reedsolomon/reedsolomon-1.6.0.ebuild
new file mode 100644
index 000000000000..e5e8cdfe1f9c
--- /dev/null
+++ b/dev-python/reedsolomon/reedsolomon-1.6.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Reed Solomon encoder/decoder"
+HOMEPAGE="
+	https://github.com/tomerfiliba/reedsolomon/
+	https://pypi.org/project/reedsolo/
+"
+SRC_URI="
+	https://github.com/tomerfiliba/reedsolomon/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+	dev-python/cython[${PYTHON_USEDEP}]
+"
+
+python_test() {
+	"${EPYTHON}" tests/test_creedsolo.py || die "creedsolo test failed with ${EPYTHON}"
+	"${EPYTHON}" tests/test_reedsolo.py || die "reedsolo test failed with ${EPYTHON}"
+}


             reply	other threads:[~2022-12-09  5:06 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-12-09  5:05 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-06-03 19:17 [gentoo-commits] repo/gentoo:master commit in: dev-python/reedsolomon/ Michał Górny
2023-06-03 18:12 Arthur Zamarin
2023-06-03 18:09 Arthur Zamarin
2023-05-13 16:04 Michał Górny
2023-05-13 12:21 Arthur Zamarin
2023-05-13 11:35 Arthur Zamarin
2023-05-04 16:56 Michał Górny
2023-04-12  4:49 Michał Górny
2023-04-10  6:07 Michał Górny
2023-04-10  6:07 Michał Górny
2023-02-16 14:18 Michał Górny
2023-02-16 10:01 Sam James
2023-02-16 10:01 Sam James
2023-01-18  7:34 Michał Górny
2023-01-12  6:14 Michał Górny
2023-01-11 21:40 Sam James
2023-01-11 21:24 Sam James
2023-01-07 14:43 Michał Górny
2023-01-07  4:54 Michał Górny
2022-06-29 13:05 Michał Górny
2022-06-29  6:00 Joonas Niilola
2022-06-29  0:11 Sam James
2022-05-29 18:38 Arthur Zamarin
2022-05-29 18:38 Arthur Zamarin
2022-04-06 21:09 Michał Górny
2022-04-06 20:57 Jakov Smolić
2022-04-06  6:32 Agostino Sarubbo
2022-03-04 13:53 Joonas Niilola
2021-02-04 14:42 Agostino Sarubbo
2021-02-04 14:09 Sam James
2020-12-12  4:32 Sam James
2020-12-12  4:27 Sam James
2020-12-07 16:41 Joonas Niilola
2020-11-28  9:15 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1670561813.d8087b5ab5f7ae5f369327dc4bed198f8a3ff346.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox